/* stylelint-disable @stylistic/max-line-length */
.search-dialog.block {
  color: var(--palette-default-fg-base);
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 21.5625rem;
}

.search-dialog ul li svg {
  width: 1.5rem;
  height: 1.5rem;
  aspect-ratio: 1/1;
}

.search-dialog ul li[aria-selected='true'] svg,
.search-dialog ul li[aria-selected='true'] > :is(a, button) {
  color: var(--palette-default-fg-base);
}

.search-dialog svg:has(> g#search-magnifier, > g#search-pin) {
  margin-right: var(--spacing-base-space-150);
  width: 1.875rem;
  height: 1.875rem;
  flex-shrink: 0;
  aspect-ratio: 1/1;
}

.search-dialog ul li svg:has(> g#search-magnifier,> g#search-pin) {
  margin-right: 0;
  width: 1.5rem;
  height: 1.5rem;
  flex-shrink: 0;
  aspect-ratio: 1/1;
}

.search-dialog input[type='search']::-webkit-search-cancel-button {
  display: none;
}

.search-dialog .near-me {
  display: flex;
  margin-block: 1.125rem var(--spacing-base-space-0);
}

.search-dialog .near-me > p,
.search-dialog div[data-near-me='true'] > p,
.search-dialog .near-me > button,
.search-dialog div[data-near-me='true'] > button {
  color: var(--palette-default-fg-interactive);
  font-family: var(--typography-family-body-sans);
  font-size: var(--typography-font-size-body-16);
  font-style: normal;
  font-weight: var(--typography-weight-medium);
  line-height: var(--typography-line-height-lh-24);
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: none;
  text-decoration-thickness: auto;
  text-underline-offset: 0.25rem;
  text-underline-position: from-font;
  cursor: pointer;
  padding: var(--spacing-base-space-0);
}

.search-dialog ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  background: var(--color-primary-white);
  padding: var(--spacing-base-space-0);
  margin: var(--spacing-base-space-0);
  overflow: hidden;
  border-top-left-radius: var(--radius-radius-120);
  border-top-right-radius: var(--radius-radius-120);
}

.search-dialog ul li {
  width: 7.125rem;
  border-top: 1px solid var(--color-primary-medium-teal);
}

.search-dialog ul li > :is(a, button) {
  width: 100%;
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
  cursor: pointer;
  color: var(--palette-default-fg-interactive);
  gap: var(--spacing-base-space-100);
  padding: var(--spacing-base-space-200);
  text-decoration: none;
  font-family: var(--typography-family-body-sans);
  font-size: var(--typography-font-size-body-16);
  font-style: normal;
  font-weight: var(--typography-weight-regular);
  line-height: var(--typography-line-height-lh-24);
}

.search-dialog ul li > :is(a, button):focus {
  position: relative;
}

.search-dialog ul li:first-child > :is(a, button):focus {
  border-top-left-radius: var(--radius-radius-120);
}

.search-dialog ul li:last-child > :is(a, button):focus {
  border-top-right-radius: var(--radius-radius-120);
}

.search-dialog ul li:first-child {
  border-top-left-radius: var(--radius-radius-120);
  border-left: 1px solid var(--color-primary-medium-teal);
  width: 7.1875rem;
}

.search-dialog ul li:last-child {
  border-top-right-radius: var(--radius-radius-120);
  border-right: 1px solid var(--color-primary-medium-teal);
  width: 7.1875rem;
}

.search-dialog ul li:not(:first-child) {
  border-left: 1px solid var(--color-primary-medium-teal);
}

.search-dialog ul li[aria-selected='true'] {
  color: var(--palette-default-fg-base);
  background-color: var(--palette-default-bg-subtle);
}

.search-dialog ul li:not(:nth-child(2))[aria-selected='true'] {
  border-top: none;
}

.search-dialog ul li:first-child[aria-selected='true'] {
  border-left: none;
}

.search-dialog ul li:last-child[aria-selected='true'] {
  border-right: none;
}

.search-dialog > div:last-child {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: var(--palette-default-bg-subtle);
  padding: var(--spacing-base-space-200);
  border-bottom-left-radius: var(--radius-radius-120);
  border-bottom-right-radius: var(--radius-radius-120);
}

.search-dialog div:has(> input[type='search']) {
  position: relative;
}

.search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2):has(> div:nth-child(2):not(.search-dialog-error-state)) > div:first-child:not(:only-child)::after {
  display: block;
  content: '';
  width: 17.6875rem;
  height: 0.0313rem;
  opacity: 0.5;
  background: var(--form-enabled-divider);
  margin-block: var(--spacing-base-space-150) var(--spacing-base-space-0);
}

.search-dialog > div:last-child > div:nth-child(2) {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  width: 100%;
}

.search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) {
  display: flex;
  width: 19.5rem;
  flex-direction: column;
  justify-content: center;
}

.search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) > div > div:has(input) {
  display: flex;
}

.search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) > div:not(.search-dialog-error-state) {
  background-color: var(--palette-default-bg-base);
  padding-block: 0.625rem var(--spacing-base-space-150); /* Missing token */
  padding-inline: var(--spacing-base-space-150);
  border-radius: var(--radius-radius-120);
}

.search-dialog > div:last-child input {
  flex: 1;
  outline: none;
  border: none;
  background-color: #fff;
}

.search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) > div > div:has(input) > input {
  color: var(--palette-default-fg-base);
  font-family: var(--typography-family-body-sans);
  font-size: var(--typography-font-size-body-18);
  font-style: normal;
  font-weight: var(--typography-weight-medium);
  line-height: var(--typography-line-height-lh-27);
  width: 100%;
}

.search-dialog > div:last-child > div[role='tabpanel'] > div > h6 {
  display: none;
}

.search-dialog > div:last-child > div[role='tabpanel'][aria-hidden='true'] {
  display: none;
}

.search-dialog div[data-near-me] {
  margin-block: var(--spacing-base-space-0) var(--spacing-base-space-150);
}

.search-dialog > div:last-child div:first-child span {
  color: var(--palette-default-fg-base);
  font-family: var(--typography-family-body-sans);
  font-size: var(--typography-font-size-body-14);
  font-style: normal;
  font-weight: var(--typography-weight-medium);
}

.search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2):has(> div:nth-child(2):not(.search-dialog-error-state)) > div:nth-child(1) {
  border-end-end-radius: 0;
  border-end-start-radius: 0;
  padding-block: 0.625rem var(--spacing-base-space-0); /* Missing token */
}

.search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2):has(> div:nth-child(2):not(.search-dialog-error-state)) > div:nth-child(2) {
  border-start-end-radius: 0;
  border-start-start-radius: 0;
}

.search-dialog .cta-wrapper a {
  color: var(--buttons-primary-default-fg);
  width: 19.5rem;
  border: 1px solid var(--buttons-primary-default-stroke);
  background: var(--buttons-primary-default-bg);
  margin-block: var(--spacing-base-space-200) var(--spacing-base-space-0);
}

@media (width <= 600px) {
  .search-dialog.block {
    align-self: center;
  }
}

@media (width > 1024px) {
  .search-dialog.block {
    flex-flow: row wrap;
    align-items: center;
    max-width: 100%;
  }

  .search-dialog ul {
    flex-direction: column;
    border-top-right-radius: var(--radius-radius-0);
    border-bottom-right-radius: var(--radius-radius-0);
    border-bottom-left-radius: var(--radius-radius-120);
    border: none;
  }

  .search-dialog ul li {
    flex-direction: row;
    width: 12.125rem;
    height: 3.6875rem;
  }

  .search-dialog ul li > :is(a, button) {
    justify-content: flex-end;
    align-items: center;
    flex-direction: row-reverse;
    padding-block: var(--spacing-base-space-200);
    padding-inline: var(--spacing-base-space-300);
  }

  .search-dialog ul li:first-child,
  .search-dialog ul li:last-child {
    width: 100%;
    max-width: 12.125rem;
    border-start-end-radius: var(--radius-radius-0);
  }

  .search-dialog ul li:last-child {
    border-bottom: 1px solid var(--color-primary-medium-teal);
    border-right: none;
    border-end-start-radius: var(--radius-radius-120);
  }

  .search-dialog ul li:is(:first-child, :last-child):has(> :is(a, button):focus) {
    padding-inline-end: 0.125rem;
  }

  .search-dialog ul li:last-child > :is(a, button):focus {
    border-start-end-radius: var(--radius-radius-0);
    border-end-start-radius: var(--radius-radius-120);
  }

  .search-dialog ul li:first-child[aria-selected='true'] {
    border-left: none;
    border-top: none;
  }

  .search-dialog ul li:last-child[aria-selected='true'] {
    border-right: none;
    border-bottom: none;
    border-left: none;
    border-top: 1px solid var(--color-primary-medium-teal);
  }

  .search-dialog > div:last-child {
    flex-direction: row;
    justify-content: space-between;
    flex: 1;
    height: 11.0625rem;
    border-end-start-radius: var(--radius-radius-0);
    border-start-end-radius: var(--radius-radius-120);
    gap: var(--spacing-base-space-150);
    padding: var(--spacing-base-space-200) var(--spacing-base-space-300);
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div > h6 {
    display: block;
    color: var(--palette-default-fg-base);
    font-family: var(--typography-family-title-sans);
    font-size: var(--typography-font-size-headlines-22);
    font-style: normal;
    font-weight: var(--typography-weight-medium);
    line-height: var(--typography-line-height-lh-29);
    letter-spacing: var(--typography-letter-spacing-0);
    padding: var(--spacing-base-space-0);
    margin-block: var(--spacing-base-space-0) var(--spacing-base-space-200);
  }

  .search-dialog > div:last-child > div[role='tabpanel'] {
    width: 100%;
  }

  .search-dialog div:last-child > div:has(.cta-wrapper.cluster) {
    display: flex;
    flex-direction: column;
    justify-content: end;
    height: 8.125rem;
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: flex-start;
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) > div:not(.search-dialog-error-state) {
    background-color: transparent;
    padding: var(--typography-letter-spacing-0);
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) > div:only-child {
    max-width: 56.5rem;
    width: 100%;
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) div div:nth-child(2) {
    background-color: var(--palette-default-bg-base);
    border-radius: var(--radius-radius-120);
    padding: var(--spacing-base-space-150);
    display: flex;
    flex-direction: row;
    justify-content: center;
    height: 58px;
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:last-child > div > div:first-child:has(span) {
    margin-bottom: var(--spacing-base-space-100);
  }

  .search-dialog > div:last-child div:first-child span {
    font-size: var(--typography-font-size-body-18);
    font-weight: var(--typography-weight-regular);
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) > div:not(:only-child):first-child {
    max-width: 31.6875rem;
    width: 100%;
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) > div:not(:only-child):last-child {
    max-width: 24.8125rem;
    width: 100%;
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) > div:not(:only-child):first-child > div:nth-child(2) {
    border-start-end-radius: var(--radius-radius-0);
    border-end-end-radius: var(--radius-radius-0);
    padding-right: var(--typography-letter-spacing-0);
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) > div:not(:only-child):first-child > div:nth-child(2)::after {
    display: block;
    content: '';
    opacity: 0.5;
    width: 0.0313rem;
    background: var(--form-enabled-divider);
    margin-inline: var(--spacing-base-space-150) var(--spacing-base-space-0);
    z-index: 1;
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2) > div:not(:only-child):last-child > div:nth-child(2) {
    border-start-start-radius: 0;
    border-end-start-radius: 0;
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2):has(> div:nth-child(2):not(.search-dialog-error-state)) > div:nth-child(1) {
    padding-block: inherit;
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2):has(> div:nth-child(2):not(.search-dialog-error-state)) > div:nth-child(2) {
    padding-block: inherit;
  }

  .search-dialog > div:last-child > div[role='tabpanel'] > div:nth-child(2):has(> div:nth-child(2):not(.search-dialog-error-state)) > div:first-child:not(:only-child)::after {
    display: none;
  }

  .search-dialog div[data-near-me='true'] {
    display: flex;
    justify-content: space-between;
  }

  .search-dialog .cta-wrapper a {
    width: 6.5rem;
  }
}
